Issue 116785 - framework::[Module]ImageManager kept alive by ring ref
Summary: framework::[Module]ImageManager kept alive by ring ref
Status: CLOSED FIXED
Alias: None
Product: General
Classification: Code
Component: code (show other issues)
Version: DEV300m98
Hardware: All All
: P3 Trivial (vote)
Target Milestone: ---
Assignee: Stephan Bergmann
QA Contact: issues@framework
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-03 14:41 UTC by Stephan Bergmann
Modified: 2017-05-20 10:30 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
fix (19.76 KB, text/plain)
2011-02-03 14:42 UTC, Stephan Bergmann
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description Stephan Bergmann 2011-02-03 14:41:36 UTC
framework::ImageManagerImpl::m_xOwner will keep any
framework::[Module]ImageManager instances alive forever; attached
imagemanagerimpl.patch fixes this
Comment 1 Stephan Bergmann 2011-02-03 14:42:10 UTC
Created attachment 75757 [details]
fix
Comment 2 Stephan Bergmann 2011-02-07 10:15:12 UTC
attached imagemanagerimpl.patch fix applied as
<http://hg.services.openoffice.org/cws/sb140/rev/7728c335dd08>